
QGIS Application - Feature request #3822

The symbol size is not represented in a legend

2011-05-11 09:00 PM - zirneklitis -

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13880

Description

QGIS allows to draw the point symbols from the same layer with different colour as well as size, e.g., colour can represent temperature

minimum but the size – temperature maximum. At the same time legends (both in layers panel and print composer manager) represents

only colour. Both of them must be represented.

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-12 01:58 AM - Médéric RIBREUX

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Hello, bug triage...

on QGIS 2.13 master, you can use the size assistant to make the size of a symbol dependent from a field (or an expression). You can use this size

assistant on categorized symbology so you have both size and color variations. QGIS canvas legend displays both size scale and colors.

When you make a legend in the composer you have also size and colors lines (and you can move/delete/modify title on them to fully customize the

composer legend).

So, I am closing this feature requests...
